Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Jak zainstalowac nowsza wersje usb-modeswitch ubuntu 14.04

Zaczęty przez northernlight, Kwiecień 28, 2015, 02:03:29 PM

Poprzedni wątek - Następny wątek

northernlight

Witam. czy moglby mi ktos pomoc jak zainstalowac nowsza wersje usb modeswitch obecne mam wersje 2.1.1 achcialbym zainstalowac 2.2.1 po z ta starsza wersja nie wykrywa mi modemu usb tylko widzi go jako plyte cd..PRosze o pomoc ;)

pavroo

#1
Witaj
Nowsza wersja jaką znalazłem 2.2.0 i 2.2.1 jest dostępna w PPA:
https://launchpad.net/ubuntu/+source/usb-modeswitch
Trzeba dodać repo PPA i możesz aktualizować.
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

northernlight

Pobralem usb-modeswitch 2.2.1 rozpakowalem wszedlem do folderu wlaczylem terminal wpisalem make install i wyskoczylo cos takiego:

sed 's_!/usr/bin/tclsh_!'"/usr/bin/tclsh"'_' < usb_modeswitch.tcl > usb_modeswitch_dispatcher
cc -o usb_modeswitch usb_modeswitch.c -Wall `pkg-config --libs --cflags libusb-1.0`
Package libusb-1.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libusb-1.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libusb-1.0' found
In file included from usb_modeswitch.c:59:0:
usb_modeswitch.h:26:20: fatal error: libusb.h: Nie ma takiego pliku ani katalogu
#include <libusb.h>
                    ^
compilation terminated.
make: *** [usb_modeswitch] Błąd 1

pobralem tez libusb 1.0.9 rozpakowalem ale niewiem jak to zainstalowac..

pavroo

Nie trzeba nic kompilować.
Napisałem abyś dodał repozytoria PPA.
sudo nano /etc/apt/sources.list.d/odyx.list
Do pliku wklej tekst:
deb http://ppa.launchpad.net/odyx/usb-modeswitch/ubuntu UBUNTU_VERSION main
deb-src http://ppa.launchpad.net/odyx/usb-modeswitch/ubuntu UBUNTU_VERSION main

Zamiast UBUNTU_VERSION wpisz swoją wersję Ubuntu, bo tej informacji nie udzieliłeś.
Zapisz plik klawiszami "Ctr" + "o" (o nie zero) oraz "Ctr" + "x".
Następnie:
sudo apt-get update
Pobierz klucz publiczny według wzoru na stronie:
http://linuxiarze.pl/repozytoria_ubuntu/#klucz
Następnie:
sudo apt-get dist-upgrade
co spowoduje aktualizację wszystkich pakietów, łacznie z  usb-modeswitch i  usb-modeswitch-data
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

northernlight

Wersja ubuntu to 14.04 a nie zainstaluje tych aktualizacji poniewaz nie moge wlaczyc neta w ubuntu bo niewykrywa mi modemu usb z play online jak go wpinam do portu to mi go wykrywa jako plyte cd a nie jako modem wyczytalem na forum ze to moze byc wina starej wersji usb-modeswitch bo tam jest 2.1.1 a podobno w nowszej wersji juz wykrywa modem normalnie..

northernlight

i kombinuje jak to zainstalowac w trybie offline bo modem dziala normalnie na windowsie a jak skonfiguruje polaczenie komorkowe w ubuntu to go nie wykrywa

pavroo

#6
W takim razie pobierz na Windzie dwa pakiety:
1:
http://ppa.launchpad.net/odyx/usb-modeswitch/ubuntu/pool/main/u/usb-modeswitch-data/usb-modeswitch-data_20140129-1~t0_all.deb
2:
http://ppa.launchpad.net/odyx/usb-modeswitch/ubuntu/pool/main/u/usb-modeswitch/usb-modeswitch_2.1.0+repack0-1~t0_amd64.deb
lub (jeśli system 32 bit):
http://ppa.launchpad.net/odyx/usb-modeswitch/ubuntu/pool/main/u/usb-modeswitch/usb-modeswitch_2.1.0+repack0-1~t0_i386.deb
Następnie wrzuć obydwa pakiety do katalogu domowego, np. Pobrane w Ubuntu, otwórz w nim terminal i zainstaluj pakiety:
sudo dpkg -i *.deb
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

northernlight

Ok dzieki za pomoc ...temat zalatwiony zainstalowalem usb-modeswitch w wersji 2.2.1 i wykrywa normalnie juz  ;)

lenwe

#8
witam, mam podobny problem a ale rozwiązania pavro nie działają w tym wypadku - z repozytorium nic nie idzie a ręczne ściąganie plików wiąże i próba instalacji powoduje błędy związane z brakiem zależności (libjim0debian2), dobrze że mam drugi komputer bo bym się od internetu odciął :) 

Czy pamiętasz skąd wiozłeś tą paczkę z wersją 2.2.1 do zainstalowania? próbowałem ściągnąć wersje dla ubuntu 15.04 (2.2.0) ze strony i zainstalować ale nic to nie dało. 

pavroo

Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

Maromann

Cytat: northernlight w Kwiecień 28, 2015, 02:03:29 PM
Witam. czy moglby mi ktos pomoc jak zainstalowac nowsza wersje usb modeswitch obecne mam wersje 2.1.1 achcialbym zainstalowac 2.2.1 po z ta starsza wersja nie wykrywa mi modemu usb tylko widzi go jako plyte cd..PRosze o pomoc ;)
a może problem jest zupełnie gdzie indziej. warto napisać jaki jest to model (dokładnie z wersją oprogramowania). modemy np huaweia występują w wielu wersjach. osobiście od lat używam 3131s2, ale już z wersjami hilink jest problem. one mają różne firmware'y. ponadto, czy modem działa (np. pod windowsami). są też routery wykorzystujące modemy gsmowe (tp-linki kosztują < 100 zł). trzeba sprawdzić kompatybilność. jeżeli pasuje, to używać modemu w ten sposób.

pzdr.

lenwe

Cytat: pavroo w Czerwiec 05, 2015, 12:23:09 PM
Adres jest w linku do pobrania.

Link kieruje do wersji 2.1.1 (taką już mam w systemie), która dodatkowo nie instaluje się ze względu na brak spełnionych zależności, a z tego co widzę to w podanym repozytorium najwyższa wersja pliku to właśnie 2.1.1.

Modem z którym mam problem to właśnie Huwawei 3131h, z tym że jedynie pod lubuntu 14.04, na innym kompie z ubuntu 15.04 (usb-modeswitch w wersji 2.2.0) działa bez problemu. Nie chciałbym przeinstalowywać systemu dla jednej paczki zwłaszcza, że lubuntu 15.04 nie jest LTSem i jest umiarkowanie stabilne.

pavroo

Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

lenwe

#13
Cytat: pavroo w Czerwiec 07, 2015, 12:38:10 PM
https://launchpad.net/ubuntu/+source/usb-modeswitch

stąd już próbowałem, nie nie działa. Ponadto jako że mam jeszcze inny, starszy model to instalacja jakiejkolwiek wersji usb-modeswitch poza  2.1.1 powoduje, że ani jeden ani drugi modem nie chce chodzić, co odcina mnie od internetu. Dlatego liczyłem link od osoby której ta sztuczka się udała, zwłaszcza że stary modem jest uszkodzony i nie wiem jak długo pociągnie. 

Modem E3131 mam w wersji E3131h-2 ale inne metody które testowałem np. z jdtech http://forum.jdtech.pl/Watek-huawei-e3131h-2-nowa-odmiana-w-tmobile-pl czy wykorzystanie wvdial też nie działają. Nie przełączę  się w tryb modemu i co mi pan zrobisz. W lubuntu 15.04 wszystko chodzi bez problemu.

Zobacz najnowsze wiadomości na forum